org.keycloak.connections.jpa.updater.liquibase

## Class MySQL8VarcharType

- java.lang.Object
- - liquibase.datatype.LiquibaseDataType
  - - liquibase.datatype.core.CharType
    - - liquibase.datatype.core.VarcharType
      - - org.keycloak.connections.jpa.updater.liquibase.MySQL8VarcharType

- All Implemented Interfaces:
    liquibase.servicelocator.PrioritizedService

      public class MySQL8VarcharType
      extends liquibase.datatype.core.VarcharType

  Changes VARCHAR type with size greater than 255 to text type for MySQL 8 and newer. Resolves Limits on Table Column Count and Row Size for MySQL 8

- - ### Field Summary

    - ### Fields inherited from interface liquibase.servicelocator.PrioritizedService

      `COMPARATOR, PRIORITY_DATABASE, PRIORITY_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MySQL8VarcharType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPriority()`
    `liquibase.datatype.DatabaseDataType` | `toDatabaseDataType(liquibase.database.Database database)`

    - ### Methods inherited from class liquibase.datatype.core.CharType

      `getSize, objectToSql`

    - ### Methods inherited from class liquibase.datatype.LiquibaseDataType

      `addParameter, equals, finishInitialization, formatNumber, functionToSql, getAdditionalInformation, getAliases, getMaxParameters, getMinParameters, getName, getParameters, getRawDefinition, hashCode, isCurrentDateTimeFunction, numberToSql, otherToSql, setAdditionalInformation, sqlToObject, supports, toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MySQL8VarcharType

          public MySQL8VarcharType()

  - ### Method Detail

    - #### getPriority

          public int getPriority()

      Specified by:
        `getPriority` in interface `liquibase.servicelocator.PrioritizedService`
      Overrides:
        `getPriority` in class `liquibase.datatype.LiquibaseDataType`

    - #### toDatabaseDataType

          public liquibase.datatype.DatabaseDataType toDatabaseDataType(liquibase.database.Database database)

      Overrides:
        `toDatabaseDataType` in class `liquibase.datatype.core.VarcharType`

Copyright © 2020 JBoss by Red Hat. All rights reserved.